--     
--    

--------------------------------------
--  ,   
--------------------------------------
DROP TABLE Phones
DROP TABLE Names

GO

--------------------------------------
--   
--------------------------------------
CREATE TABLE Names
(
 idName int IDENTITY(1,1), 
 vcName varchar(50),
 CONSTRAINT PK_guid PRIMARY KEY (idName),
)

GO

--------------------------------------
--   
--------------------------------------
CREATE TABLE Phones
(
 idPhone int IDENTITY(1,1), 
 idName int, 
 vcPhone varchar(10) 
 CONSTRAINT PK_idPhone PRIMARY KEY (idPhone),
 CONSTRAINT FK_idName FOREIGN KEY (idName)
   REFERENCES Names (idName)
)

--------------------------------------
--    
--------------------------------------
INSERT INTO Names(vcName)
VALUES('')

INSERT INTO Names(vcName)
VALUES('')

INSERT INTO Names(vcName)
VALUES('')

--------------------------------------
--   
--------------------------------------
INSERT INTO Phones(idName, vcPhone)
VALUES(1, '678689687')

INSERT INTO Phones(idName, vcPhone)
VALUES(1, '2324234')

INSERT INTO Phones(idName, vcPhone)
VALUES(2, '324234')

INSERT INTO Phones(idName, vcPhone)
VALUES(3, '32432423')

INSERT INTO Phones(idName, vcPhone)
VALUES(3, '02')

INSERT INTO Phones(idName, vcPhone)
VALUES(3, '12312312')

--------------------------------------
--    
--    4  
--------------------------------------
INSERT INTO Phones(idName, vcPhone)
VALUES(4, '12312312')

--------------------------------------
--   
--------------------------------------
SELECT vcName, vcPhone 
FROM Names, Phones
WHERE Names.idName=Phones.idName