-------------------------------------
-- ,    
-- 
-------------------------------------

--  
CREATE TRIGGER u_tbPeoples ON dbo.tbPeoples
FOR UPDATE
AS
 ROLLBACK TRANSACTION

--  
UPDATE tbPeoples
SET vcFamil='dsfg'

-- ,    
SELECT * FROM tbPeoples

--  
ALTER TRIGGER u_tbPeoples ON dbo.tbPeoples
FOR UPDATE, INSERT
AS
 ROLLBACK TRANSACTION

--   
INSERT INTO tbPeoples(vcFamil) 
VALUES('')

--  
ALTER TABLE tbPeoples
DISABLE TRIGGER u_tbPeoples

--  
ALTER TABLE tbPeoples
ENABLE TRIGGER ALL

--  
INSERT INTO tbPeoples(vcFamil) 
VALUES('')

--  
DROP TRIGGER u_tbPeoples

--   inserted
CREATE TRIGGER i_tbPeoples ON dbo.tbPeoples
FOR INSERT 
AS
 DECLARE @Name varchar(50)
 SELECT @Name=vcName
 FROM inserted
 IF @Name=''
  BEGIN 
   PRINT ''
   ROLLBACK TRANSACTION
  END

-- 
INSERT INTO tbPeoples(vcName) 
VALUES('')

--  ,    
DROP TRIGGER i_tbPeoples

--    
CREATE TRIGGER i_tbPeoples ON dbo.tbPeoples
FOR INSERT 
AS
 IF EXISTS (SELECT *
            FROM inserted
            WHERE vcName is NULL)
  BEGIN 
   PRINT ',     vcName'
   ROLLBACK TRANSACTION
  END

-- 
INSERT INTO tbPeoples(vcName) 
VALUES('')

--  ,    
DROP TRIGGER i_tbPeoples

--   
CREATE TRIGGER d_tbPeoples ON dbo.tbPeoples
FOR DELETE
AS
 IF EXISTS (SELECT *
            FROM deleted
            WHERE vcName='')
  BEGIN 
   PRINT ',    '
   ROLLBACK TRANSACTION
  END

--  
DELETE 
FROM tbPeoples
WHERE vcName='' or vcName=''

--  ,    
DROP TRIGGER d_tbPeoples

--   
CREATE TRIGGER d_tbPeoples ON dbo.tbPeoples
FOR DELETE
AS
 IF EXISTS (SELECT *
            FROM deleted
            WHERE vcName='')
  BEGIN 
   PRINT ',    '
   ROLLBACK TRANSACTION
  END

--    
CREATE TRIGGER u_tbPeoples ON dbo.tbPeoples
FOR UPDATE
AS
 IF UPDATE (vcName)
   PRINT ' ,     '

--  
UPDATE tbPeoples
SET vcName=''
WHERE vcFamil=''

-- ,    
SELECT * FROM tbPeoples

--  ,    
DROP TRIGGER u_tbPeoples

--   
CREATE TRIGGER u_tbPeoples ON dbo.tbPeoples
FOR UPDATE
AS
 IF UPDATE (vcName) 
    OR UPDATE (vcFamil)
    OR UPDATE (vcSurname)
  BEGIN
   PRINT '  ,   '
   ROLLBACK TRANSACTION
  END

--  
CREATE TRIGGER u_tbPeoples ON dbo.tbPeoples
FOR UPDATE
AS
 IF UPDATE (vcName) 
    OR UPDATE (vcFamil)
    OR UPDATE (vcSurname)
  BEGIN
   PRINT '  ,   '
   ROLLBACK TRANSACTION
  END

--  ,    
DROP TRIGGER u_tbPeoples

--   
CREATE VIEW People
AS
 SELECT vcFamil, vcPositionName
 FROM tbPosition ps, tbPeoples pl
 WHERE ps.idPosition=pl.idPosition

--  
SELECT * FROM People

--  
CREATE TRIGGER i_People ON dbo.People
INSTEAD OF INSERT
AS
 BEGIN
  INSERT INTO tbPosition (vcPositionName)
  SELECT vcPositionName
  FROM inserted i
  
  INSERT INTO tbPeoples (vcFamil, idPosition)
  SELECT vcFamil, idPosition
  FROM inserted i,tbPosition pn
  WHERE i.vcPositionName=pn.vcPositionName
 END

--  
INSERT INTO People
VALUES('', '')

--  View
ALTER VIEW People
AS
 SELECT idPeoples, pl.idPosition, vcFamil, vcPositionName
 FROM tbPosition ps, tbPeoples pl
 WHERE ps.idPosition=pl.idPosition

--   
CREATE TRIGGER u_People ON dbo.People
INSTEAD OF UPDATE
AS 
BEGIN
 UPDATE tbPosition
 SET vcPositionName=i.vcPositionName
 FROM tbPosition pn, inserted i
 WHERE i.idPosition=pn.idPosition

 UPDATE tbPeoples
 SET vcFamil=i.vcFamil
 FROM tbPeoples pl, inserted i
 WHERE i.idPeoples=pl.idPeoples
END

-- ,    
SELECT * FROM People

-- 
UPDATE People
SET vcFamil='', 
   vcPositionName=' '
WHERE idPeoples=40
  AND idPosition=13

--  ,    
DROP TRIGGER u_People

--    guid
CREATE TRIGGER ud_tbPeoplesHistory ON dbo.tbPerson 
FOR UPDATE, DELETE
AS
 INSERT INTO tbPeoplesHistory
 SELECT newid(), del.* FROM Deleted del

--     
-- 
CREATE TRIGGER ud_tbPeoplesHistory ON dbo.tbPeoples
FOR UPDATE, DELETE
AS
 INSERT INTO tbPeoplesHistory 
   (idPeoples, vcFamil, vcName, vcSurname, idPosition, dDateBirthDay)
 SELECT del.* 
 FROM Deleted del

--    ,   
CREATE TRIGGER d_tbPeoples ON dbo.tbPeoples
FOR DELETE
AS
 IF (SELECT count(*) 
   FROM deleted)>1 
 BEGIN
  PRINT '    '
  ROLLBACK TRANSACTION
 END

--  
EXEC sp_depends 'tbPeoples'

--   
EXEC sp_helptext u_People

EXEC sp_helptrigger People

CREATE TRIGGER d_tbPeoples ON dbo.tbPeoples
FOR DELETE
AS
DELETE pn
FROM tbPhoneNumbers pn, inserted i
WHERE pn.idPeoples=i.idPeoples
