-------------------------------------
-- ,   
--  
-------------------------------------

--   
EXEC sp_executesql N'SELECT * FROM '

--   
DECLARE @SQLString NVARCHAR(500)

SET @SQLString = 'SELECT * FROM '

EXEC sp_executesql @SQLString

--    c 
DECLARE @SQLString NVARCHAR(500)
DECLARE @def NVARCHAR(50)

SET @SQLString = 'SELECT * FROM  WHERE [ ]=@g'
SET @def = '@g NVARCHAR(50)'

EXEC sp_executesql @SQLString, @def, @g=''

--------------------------
--   1 --
--------------------------
--  
DROP PROC GetGoodsProc

--  
CREATE PROC GetGoodsProc
  @Action varchar(50), @good varchar(50)
AS
 DECLARE @SQLString NVARCHAR(500)
 DECLARE @def NVARCHAR(50)

 SET @SQLString = @Action+' FROM  WHERE [ ]=@g'
 SET @def = '@g NVARCHAR(50)'
 EXEC sp_executesql @SQLString, @def, @g=@good

--  
EXEC GetGoodsProc 'SELECT *', ''


--------------------------
--   2 --
--------------------------
--  
DROP PROC GetGoodsProc
GO

--  
CREATE PROC GetGoodsProc
  @Action varchar(50), @good varchar(50),
  @Addition varchar(50)
AS
 DECLARE @SQLString NVARCHAR(500)
 DECLARE @def NVARCHAR(50)

 SET @SQLString = @Action+' FROM  WHERE [ ]=@g '+@Addition
 SET @def = '@g NVARCHAR(50)'
 EXEC sp_executesql @SQLString, @def, @g=@good

-- 
EXEC GetGoodsProc 'SELECT *', '', ' AND  > 0 ORDER BY '

--------------------------
--   3 --
--------------------------
--  
DROP PROC GetGoodsProc
GO

--  
CREATE PROC GetGoodsProc
  @Action varchar(50), @good varchar(50),
  @Addition varchar(50), @Order varchar(50)
AS
 DECLARE @SQLString NVARCHAR(500)
 DECLARE @def NVARCHAR(50)

 SET @def = '@g NVARCHAR(50)'
 SET @SQLString = @Action+' FROM  WHERE [ ]=@g '+@Addition

 IF NOT @Order='' 
  BEGIN
   SET @SQLString = @SQLString+' ORDER BY '+@Order
  END

 EXEC sp_executesql @SQLString, @def, @g=@good

-- 
EXEC GetGoodsProc 'SELECT *', '', ' AND  > 0 ', ' DESC'
