-------------------------------------
-- ,    
--  TEXT  IMAGE
-------------------------------------

USE FlenovSQLBook

CREATE TABLE tTextTest
(
 idTextTest int IDENTITY(1,1), 
 tData TEXT NULL,

 CONSTRAINT PK_idTextTest PRIMARY KEY (idTextTest)
)

INSERT INTO tTextTest (tData)
VALUES ('   ')

INSERT INTO tTextTest (tData)
VALUES ('    ')

SELECT * 
FROM tTextTest

UPDATE tTextTest
SET tData='  . ,   .'
WHERE idTextTest=1

--   READTEXT
DECLARE @ptrval varbinary(100)

SELECT @ptrval = TEXTPTR(tData) 
FROM tTextTest
WHERE idTextTest=1

READTEXT tTextTest.tData @ptrval 0 22

--  
DECLARE @ptrval varbinary(100)

SELECT @ptrval = TEXTPTR(tData) 
FROM tTextTest
WHERE idTextTest=1

WRITETEXT tTextTest.tData @ptrval 
   '   ,    '


-- 
DECLARE @ptrval varbinary(100)

SELECT @ptrval = TEXTPTR(tData) 
FROM tTextTest
WHERE idTextTest=1

UPDATETEXT tTextTest.tData @ptrval 0 1
   ''

--  
DECLARE @ptrval varbinary(100)

SELECT @ptrval = TEXTPTR(tData) 
FROM tTextTest
WHERE idTextTest=1

UPDATETEXT tTextTest.tData @ptrval 23 NULL  ''

--    
DECLARE @ptrval varbinary(100)

SELECT @ptrval = TEXTPTR(tData) 
FROM tTextTest
WHERE idTextTest=1

UPDATETEXT tTextTest.tData @ptrval 0 2   ''

--  
DECLARE @ptrval varbinary(100)

SELECT @ptrval = TEXTPTR(tData) 
FROM tTextTest
WHERE idTextTest=1

UPDATETEXT tTextTest.tData @ptrval 0 0   ''

SELECT * 
FROM tTextTest
