--         

CREATE TABLE Positions
(
 idPosition int IDENTITY(1,1), 
 idParentPosition int, 
 vcName varchar(30),  
 CONSTRAINT PK_idPosition PRIMARY KEY (idPosition),
 CONSTRAINT FK_idParentPosition FOREIGN KEY (idParentPosition)
   REFERENCES Positions (idPosition)
)

--   
INSERT INTO Positions(idParentPosition, vcName) VALUES(NULL, ' ')
INSERT INTO Positions(idParentPosition, vcName) VALUES(1, ' ')
INSERT INTO Positions(idParentPosition, vcName) VALUES(1, '   ')
INSERT INTO Positions(idParentPosition, vcName) VALUES(2, '  ')
INSERT INTO Positions(idParentPosition, vcName) VALUES(2, '  ')
INSERT INTO Positions(idParentPosition, vcName) VALUES(3, '  ')

--  ,      
--    .
SELECT p1.vcName, p2.vcName FROM Positions p1, Positions p2
WHERE p1.idParentPosition*=p2.idPosition
